Debian Bug report logs - #419339
Package license is ambiguous; may be incompatible with GPL

version graph

Package: faad2; Maintainer for faad2 is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>;

Reported by: Sebastian Dröge <slomo@circular-chaos.org>

Date: Thu, 14 Dec 2006 19:03:07 UTC

Owned by: Matthew William Solloway Bell <matthew@bells23.org.uk>

Severity: important

Tags: etch-ignore

Found in version 2.5-1

Fixed in version faad2/2.6-1

Done: matthew@bells23.org.uk (Matthew W. S. Bell)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, m.bell@bvrh.co.uk (Matthew W. S. Bell):
Bug#403117; Package faad2. Full text and rfc822 format available.

Acknowledgement sent to Sebastian Dröge <slomo@circular-chaos.org>:
New Bug report received and forwarded. Copy sent to m.bell@bvrh.co.uk (Matthew W. S. Bell). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sebastian Dröge <slomo@circular-chaos.org>
To: submit@bugs.debian.org
Subject: Incomplete copyright/license information: Additional restrictions to GPL
Date: Thu, 14 Dec 2006 19:47:15 +0100
[Message part 1 (text/plain, inline)]
Package: faad2
Version: 2.5-1
Severity: grave

Hi,
currently debian/copyright mentions that the package is licensed under
plain GPL. This is apparently wrong as for example src/cfft.h state
(other files too):
[... GPL boilerplate ...]
** Software using this code must display the following message visibly
in or
** on each copy of the software:
** "FAAD2 AAC/HE-AAC/HE-AACv2/DRM decoder (c) Nero AG, www.nero.com"
** in, for example, the about-box or help/startup screen.

This is an additional restriction over the GPL that makes this code IMHO
GPL incompatible and as thus linking to the library might be a bit funny
licensing-wise. Please correct this in debian/copyright...

It would probably have been better to package the older 2.0 version or
some CVS snapshot before this ugly paragraph was added to the license as
for example the gstreamer plugin using this library is unable to fullfil
the license requirements...


Second problem I see is that the copyright holder is not mentioned in
debian/copyright. Please add this. Should probably be 
"Copyright (C) 2003-2005 M. Bakker, Nero AG, http://www.nero.com"

Bye
[signature.asc (application/pgp-signature, inline)]

Severity set to `serious' from `grave' Request was from Sebastian Dröge <slomo@circular-chaos.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 370371 added: 403117 Request was from Sebastian Dröge <slomo@circular-chaos.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, m.bell@bvrh.co.uk (Matthew W. S. Bell):
Bug#403117; Package faad2. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to m.bell@bvrh.co.uk (Matthew W. S. Bell). Full text and rfc822 format available.

Message #14 received at 403117@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Sebastian Dröge <slomo@circular-chaos.org>, 403117@bugs.debian.org
Subject: Re: Bug#403117: Incomplete copyright/license information: Additional restrictions to GPL
Date: Thu, 21 Dec 2006 03:28:27 -0800
On Thu, Dec 14, 2006 at 07:47:15PM +0100, Sebastian Dröge wrote:
> currently debian/copyright mentions that the package is licensed under
> plain GPL. This is apparently wrong as for example src/cfft.h state
> (other files too):
> [... GPL boilerplate ...]
> ** Software using this code must display the following message visibly
> in or
> ** on each copy of the software:
> ** "FAAD2 AAC/HE-AAC/HE-AACv2/DRM decoder (c) Nero AG, www.nero.com"
> ** in, for example, the about-box or help/startup screen.

> This is an additional restriction over the GPL that makes this code IMHO
> GPL incompatible and as thus linking to the library might be a bit funny
> licensing-wise. Please correct this in debian/copyright...

However, it may be the case that the copyright holder legitimately intends
to place the work under the GPL, and believes that the follow-up comments
are merely a clarification of the GPL's requirements.  The GPL does include
several provisions regarding displaying copyright information, and it's
possible that the author believed this requirement was the same as GPL 2c).

I would consider this an etch-ignorable issue while the matter was taken up
with the upstream for clarification.

> It would probably have been better to package the older 2.0 version or
> some CVS snapshot before this ugly paragraph was added to the license as
> for example the gstreamer plugin using this library is unable to fullfil
> the license requirements...

> Second problem I see is that the copyright holder is not mentioned in
> debian/copyright. Please add this. Should probably be 
> "Copyright (C) 2003-2005 M. Bakker, Nero AG, http://www.nero.com"

That's not etch-ignorable, though.  debian/copyright does need to include
the actual copyright statement.

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, m.bell@bvrh.co.uk (Matthew W. S. Bell):
Bug#403117; Package faad2. Full text and rfc822 format available.

Acknowledgement sent to Matthew William Solloway Bell <m.w.s.bell@durham.ac.uk>:
Extra info received and forwarded to list. Copy sent to m.bell@bvrh.co.uk (Matthew W. S. Bell). Full text and rfc822 format available.

Message #19 received at 403117@bugs.debian.org (full text, mbox):

From: Matthew William Solloway Bell <m.w.s.bell@durham.ac.uk>
To: 403117@bugs.debian.org
Date: Sat, 23 Dec 2006 15:12:13 +0000
[Message part 1 (text/plain, inline)]
I've emailed upstream to clarify the licensing issue, and added updated
the debian/copyright file. I will upload is on a timed wait on upstream.

Matthew W. S. Bell
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, m.bell@bvrh.co.uk (Matthew W. S. Bell):
Bug#403117; Package faad2. Full text and rfc822 format available.

Acknowledgement sent to Sebastian Dröge <slomo@circular-chaos.org>:
Extra info received and forwarded to list. Copy sent to m.bell@bvrh.co.uk (Matthew W. S. Bell). Full text and rfc822 format available.

Message #24 received at 403117@bugs.debian.org (full text, mbox):

From: Sebastian Dröge <slomo@circular-chaos.org>
To: 403117@bugs.debian.org
Cc: Matthew William Solloway Bell <m.w.s.bell@durham.ac.uk>
Subject: Re: Incomplete copyright/license information: Additional restrictions to GPL
Date: Thu, 28 Dec 2006 13:51:31 +0100
[Message part 1 (text/plain, inline)]
You might want to read this regarding the license issue:
http://farragut.flameeyes.is-a-geek.org/articles/2006/12/20/lets-hear-the-communitys-voice-the-faad-2-5-licensing-issue

I also tried to contact ahead a few times in the past with absolutely no
answer. As you might've noticed I'm maintaining this package since more
than a year now for Ubuntu and we've taken the last CVS snapshot because
of this issue and various other bugfixes for portability, broken API,
etc you might be interested in. Otherwise I could give you some patches
in early January as I'm currently busy...

Bye
[signature.asc (application/pgp-signature, inline)]

Blocking bugs of 370371 removed: 403117 Request was from Sebastian Dröge <slomo@circular-chaos.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 403093 added: 403117 Request was from Sebastian Dröge <slomo@circular-chaos.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, m.bell@bvrh.co.uk (Matthew W. S. Bell):
Bug#403117; Package faad2. Full text and rfc822 format available.

Acknowledgement sent to Bas Zoetekouw <bas@debian.org>:
Extra info received and forwarded to list. Copy sent to m.bell@bvrh.co.uk (Matthew W. S. Bell). Full text and rfc822 format available.

Message #33 received at 403117@bugs.debian.org (full text, mbox):

From: Bas Zoetekouw <bas@debian.org>
To: 403117@bugs.debian.org
Subject: Re: Bug#403117: Incomplete copyright/license information: Additional restrictions to GPL
Date: Sun, 4 Feb 2007 00:43:29 +0100
Hi!

This was apparently fixed in the 2.5-2 upload:

   * add xmms-mp4 desription read not like nonsense (Closes: #399457)
   * Compile without Digital Radio Mondiale support, as it breaks base
     functionality
   * Update debian/copyright (See: #403117)

Matthew, so you agree that this bug can be closed?

Regards,
Bas.

-- 
Kind regards,
+--------------------------------------------------------------------+
| Bas Zoetekouw              | GPG key: 0644fab7                     |
|----------------------------| Fingerprint: c1f5 f24c d514 3fec 8bf6 |
| bas@debian.org             |              a2b1 2bae e41f 0644 fab7 |
+--------------------------------------------------------------------+ 



Information forwarded to debian-bugs-dist@lists.debian.org, m.bell@bvrh.co.uk (Matthew W. S. Bell):
Bug#403117; Package faad2. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to m.bell@bvrh.co.uk (Matthew W. S. Bell). Full text and rfc822 format available.

Message #38 received at 403117@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 403117@bugs.debian.org
Subject: Re: Incomplete copyright/license information: Additional restrictions to GPL
Date: Mon, 12 Feb 2007 01:33:55 -0800
tags 403117 etch-ignore
thanks

As 2.5-2 fixes the problems with the incomplete debian/copyright and should
enter testing shortly, I'm tagging this bug etch-ignore for the remaining
question of whether the required disclaimer is intended to contradict the
GPL.

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Tags added: etch-ignore Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 399438 added: 403117 Request was from Andreas Henriksson <andreas@fatal.se> to control@bugs.debian.org. (Tue, 10 Apr 2007 09:24:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, m.bell@bvrh.co.uk (Matthew W. S. Bell):
Bug#403117; Package faad2. Full text and rfc822 format available.

Acknowledgement sent to Matthew William Solloway Bell <matthew@bells23.org.uk>:
Extra info received and forwarded to list. Copy sent to m.bell@bvrh.co.uk (Matthew W. S. Bell). Full text and rfc822 format available.

Message #47 received at 403117@bugs.debian.org (full text, mbox):

From: Matthew William Solloway Bell <matthew@bells23.org.uk>
To: contol@bugs.debian.org, 403117@bugs.debian.org
Date: Sun, 15 Apr 2007 01:44:45 +0100
[Message part 1 (text/plain, inline)]
owner 403117 !
clone 403117 -1
close 403117
severity -1 important
retitle -1 Package license is ambiguous; may be incompatible with GPL
thanks

I'm closing #403117 as the copyright information is now listed
correctly. However, the issue as to the meaning of the license is
outstanding, so I am cloning this bug as appropriate. I believe the
license still to be Free, so I am marking this bug as important only.
Communication with upstream is ongoing; I am about to whine at them
again.

Apologies if I buggered up the bug closing, but this seemed the
appropriate method.

Matthew W. S. Bell
[signature.asc (application/pgp-signature, inline)]

Owner recorded as Matthew William Solloway Bell <matthew@bells23.org.uk>. Request was from Matthew William Solloway Bell <matthew@bells23.org.uk> to control@bugs.debian.org. (Sun, 15 Apr 2007 00:51:01 GMT) Full text and rfc822 format available.

Bug 403117 cloned as bug 419339. Request was from Matthew William Solloway Bell <matthew@bells23.org.uk> to control@bugs.debian.org. (Sun, 15 Apr 2007 00:51:03 GMT) Full text and rfc822 format available.

Severity set to `important' from `serious' Request was from Matthew William Solloway Bell <matthew@bells23.org.uk> to control@bugs.debian.org. (Sun, 15 Apr 2007 00:51:12 GMT) Full text and rfc822 format available.

Changed Bug title to Package license is ambiguous; may be incompatible with GPL from Incomplete copyright/license information: Additional restrictions to GPL. Request was from Matthew William Solloway Bell <matthew@bells23.org.uk> to control@bugs.debian.org. (Sun, 15 Apr 2007 00:51:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, matthew@bells23.org.uk (Matthew W. S. Bell), Matthew William Solloway Bell <matthew@bells23.org.uk>:
Bug#419339; Package faad2. Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian.greffrath@leat.rub.de>:
Extra info received and forwarded to list. Copy sent to matthew@bells23.org.uk (Matthew W. S. Bell), Matthew William Solloway Bell <matthew@bells23.org.uk>. Full text and rfc822 format available.

Message #60 received at 419339@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian.greffrath@leat.rub.de>
To: 419339@bugs.debian.org
Subject: Package license is ambiguous; may be incompatible with GPL
Date: Thu, 05 Jul 2007 11:39:54 +0200
Hi there,

> Communication with upstream is ongoing; I am about to whine at them
> again.

are there any news regarding this issue?

Greetings,
Fabian




Information forwarded to debian-bugs-dist@lists.debian.org, matthew@bells23.org.uk (Matthew W. S. Bell), Matthew William Solloway Bell <matthew@bells23.org.uk>:
Bug#419339; Package faad2. Full text and rfc822 format available.

Acknowledgement sent to Sebastian Dröge <slomo@circular-chaos.org>:
Extra info received and forwarded to list. Copy sent to matthew@bells23.org.uk (Matthew W. S. Bell), Matthew William Solloway Bell <matthew@bells23.org.uk>. Full text and rfc822 format available.

Message #65 received at 419339@bugs.debian.org (full text, mbox):

From: Sebastian Dröge <slomo@circular-chaos.org>
To: 419339@bugs.debian.org
Subject: Re: Package license is ambiguous; may be incompatible with GPL
Date: Sun, 14 Oct 2007 19:17:31 +0200
[Message part 1 (text/plain, inline)]
Hi,
upstream clarified this in CVS now. Please update the copyright
information or update to a CVS snapshot:

> Other news is the little change in the copyright header and the readme
> of FAAD2. Apparantly a lot of projects were troubled about the extra
> requirement that the old header asked for. The FSF looked at this and
> said that with some minor change the text can be seen as clarification
> of section 2c of the GPLv2. I advise all projects using FAAD2 to
> update to this new package (or CVS), I guess there's nothing to be
> worried about anymore.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, matthew@bells23.org.uk (Matthew W. S. Bell), Matthew William Solloway Bell <matthew@bells23.org.uk>:
Bug#419339; Package faad2. Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <greffrath@leat.rub.de>:
Extra info received and forwarded to list. Copy sent to matthew@bells23.org.uk (Matthew W. S. Bell), Matthew William Solloway Bell <matthew@bells23.org.uk>. Full text and rfc822 format available.

Message #70 received at 419339@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <greffrath@leat.rub.de>
To: 419339@bugs.debian.org
Subject: Re: Package license is ambiguous; may be incompatible with GPL
Date: Mon, 15 Oct 2007 11:20:50 +0200
Sebastian Dröge:
> upstream clarified this in CVS now. Please update the copyright
> information or update to a CVS snapshot:

Or simply update to the new release 2.6 which already contains
the clarified copyright statement.





Reply sent to matthew@bells23.org.uk (Matthew W. S. Bell):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Sebastian Dröge <slomo@circular-chaos.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #75 received at 419339-close@bugs.debian.org (full text, mbox):

From: matthew@bells23.org.uk (Matthew W. S. Bell)
To: 419339-close@bugs.debian.org
Subject: Bug#419339: fixed in faad2 2.6-1
Date: Sun, 21 Oct 2007 20:48:09 +0000
Source: faad2
Source-Version: 2.6-1

We believe that the bug you reported is fixed in the latest version of
faad2, which is due to be installed in the Debian FTP archive:

faad2_2.6-1.diff.gz
  to pool/main/f/faad2/faad2_2.6-1.diff.gz
faad2_2.6-1.dsc
  to pool/main/f/faad2/faad2_2.6-1.dsc
faad2_2.6.orig.tar.gz
  to pool/main/f/faad2/faad2_2.6.orig.tar.gz
faad_2.6-1_i386.deb
  to pool/main/f/faad2/faad_2.6-1_i386.deb
libfaad-dev_2.6-1_i386.deb
  to pool/main/f/faad2/libfaad-dev_2.6-1_i386.deb
libfaad0_2.6-1_i386.deb
  to pool/main/f/faad2/libfaad0_2.6-1_i386.deb
libfaad2-0_2.6-1_all.deb
  to pool/main/f/faad2/libfaad2-0_2.6-1_all.deb
xmms-mp4_2.6-1_i386.deb
  to pool/main/f/faad2/xmms-mp4_2.6-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 419339@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthew W. S. Bell <matthew@bells23.org.uk> (supplier of updated faad2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 15 Oct 2007 00:16:21 +0100
Source: faad2
Binary: libfaad2-0 xmms-mp4 libfaad-dev faad libfaad0
Architecture: source i386 all
Version: 2.6-1
Distribution: unstable
Urgency: low
Maintainer: Matthew W. S. Bell <matthew@bells23.org.uk>
Changed-By: Matthew W. S. Bell <matthew@bells23.org.uk>
Description: 
 faad       - freeware Advanced Audio Decoder player
 libfaad-dev - freeware Advanced Audio Decoder - development files
 libfaad0   - freeware Advanced Audio Decoder - runtime files
 libfaad2-0 - freeware Advanced Audio Decoder - dummy package
 xmms-mp4   - an MP4/AAC audio plugin for XMMS
Closes: 419339
Changes: 
 faad2 (2.6-1) unstable; urgency=low
 .
   * Import new 2.6 release. Includes several small off-by-one scale
     fixes.
   * Update the copyright as new code includes a clarification of the license
     text, which indicates that the entire work is under the GPLv2 (closes:
     #419339).
Files: 
 cec7674fde62e579fc5b0b9b42bb8051 670 libs optional faad2_2.6-1.dsc
 d58ece9968d836dd42abd9e05dd7200a 1209337 libs optional faad2_2.6.orig.tar.gz
 67a8a7b8de9c8afe69c5445fdd194178 37162 libs optional faad2_2.6-1.diff.gz
 88fc1eb275d79783327f641f893e8dd9 5266 libs optional libfaad2-0_2.6-1_all.deb
 5fc705807fc28ce6cd639681510088a3 167542 libs optional libfaad0_2.6-1_i386.deb
 b7da66f0b3e2474142974dceac61f74f 203800 libdevel optional libfaad-dev_2.6-1_i386.deb
 759dbfdcb68d582fcab739158ea9b176 28654 sound optional faad_2.6-1_i386.deb
 2c930372bb9cb06649328705c2fba69e 28348 sound optional xmms-mp4_2.6-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHG7caqXWYex+fp+4RAkD/AJ9oOeWh2/UaoP7QyOihRVzUtJ9vYgCgwStg
YYtdWwtFmb9/9nkLT+nRD9s=
=ZPUN
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 22 Nov 2007 07:26:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:16:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.